%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%%
%% Definitions of opcode constants
%%
-define(pushVar_0, 1).
-define(pushVar_1,2).
-define(pushVar_2,3).
-define(pushVar_3,4).
-define(pushVar_4,5).
-define(pushVar_5,6).
-define(pushVar_6,7).
-define(pushVar_7,8).
-define(pushVar_8,9).
-define(pushVar_9,10).
-define(pushVar_10,11).
-define(pushVar_11,12).
-define(pushVar_12,13).
-define(pushVar_13,14).
-define(pushVar_14,15).
-define(pushVar_15,16).
-define(pushVarN,17).
-define(storeVar_0,18).
-define(storeVar_1,19).
-define(storeVar_2,20).
-define(storeVar_3,21).
-define(storeVar_4,22).
-define(storeVar_5,23).
-define(storeVar_6,24).
-define(storeVar_7,25).
-define(storeVar_8,26).
-define(storeVar_9,27).
-define(storeVar_10,28).
-define(storeVar_11,29).
-define(storeVar_12,30).
-define(storeVar_13,31).
-define(storeVar_14,32).
-define(storeVar_15,33).
-define(storeVarN,34).
-define(alloc_0,35).
-define(alloc_1,36).
-define(alloc_2,37).
-define(alloc_3,38).
-define(alloc_4,39).
-define(alloc_5,40).
-define(alloc_6,41).
-define(alloc_7,42).
-define(alloc_8,43).
-define(alloc_9,44).
-define(alloc_10,45).
-define(alloc_11,46).
-define(alloc_12,47).
-define(alloc_13,48).
-define(alloc_14,49).
-define(alloc_15,50).
-define(allocN,51).
-define(eqVar_0,52).
-define(eqVar_1,53).
-define(eqVar_2,54).
-define(eqVar_3,55).
-define(eqVar_4,56).
-define(eqVar_5,57).
-define(eqVar_6,58).
-define(eqVar_7,59).
-define(eqVar_8,60).
-define(eqVar_9,61).
-define(eqVar_10,62).
-define(eqVar_11,63).
-define(eqVar_12,64).
-define(eqVar_13,65).
-define(eqVar_14,66).
-define(eqVar_15,67).
-define(eqVarN,68).
-define(eqArg_0,69).
-define(eqArg_1,70).
-define(eqArg_2,71).
-define(eqArg_3,72).
-define(eqArg_4,73).
-define(eqArg_5,74).
-define(eqArg_6,75).
-define(eqArg_7,76).
-define(eqArg_8,77).
-define(eqArg_9,78).
-define(eqArg_10,79).
-define(eqArg_11,80).
-define(eqArg_12,81).
-define(eqArg_13,82).
-define(eqArg_14,83).
-define(eqArg_15,84).
-define(eqArgN,85).
-define(arg_0,86).
-define(arg_1,87).
-define(arg_2,88).
-define(arg_3,89).
-define(arg_4,90).
-define(arg_5,91).
-define(arg_6,92).
-define(arg_7,93).
-define(arg_8,94).
-define(arg_9,95).
-define(arg_10,96).
-define(arg_11,97).
-define(arg_12,98).
-define(arg_13,99).
-define(arg_14,100).
-define(arg_15,101).
-define(argN,102).
-define(unpkTuple_0,103).
-define(unpkTuple_1,104).
-define(unpkTuple_2,105).
-define(unpkTuple_3,106).
-define(unpkTuple_4,107).
-define(unpkTuple_5,108).
-define(unpkTuple_6,109).
-define(unpkTuple_7,110).
-define(unpkTuple_8,111).
-define(unpkTuple_9,112).
-define(unpkTuple_10,113).
-define(unpkTuple_11,114).
-define(unpkTuple_12,115).
-define(unpkTuple_13,116).
-define(unpkTuple_14,117).
-define(unpkTuple_15,118).
-define(unpkTupleN,119).
-define(mkTuple_0,120).
-define(mkTuple_1,121).
-define(mkTuple_2,122).
-define(mkTuple_3,123).
-define(mkTuple_4,124).
-define(mkTuple_5,125).
-define(mkTuple_6,126).
-define(mkTuple_7,127).
-define(mkTuple_8,128).
-define(mkTuple_9,129).
-define(mkTuple_10,130).
-define(mkTuple_11,131).
-define(mkTuple_12,132).
-define(mkTuple_13,133).
-define(mkTuple_14,134).
-define(mkTuple_15,135).
-define(mkTupleN,136).
-define(getInt_0,137).
-define(getInt_1,138).
-define(getInt_2,139).
-define(getInt_3,140).
-define(getInt_4,141).
-define(getInt_5,142).
-define(getInt_6,143).
-define(getInt_7,144).
-define(getInt_8,145).
-define(getInt_9,146).
-define(getInt_10,147).
-define(getInt_11,148).
-define(getInt_12,149).
-define(getInt_13,150).
-define(getInt_14,151).
-define(getInt_15,152).
-define(getInt1,153).
-define(hash,154).
-define(getFloat,155).
-define(pushInt_0,156).
-define(pushInt_1,157).
-define(pushInt_2,158).
-define(pushInt_3,159).
-define(pushInt_4,160).
-define(pushInt_5,161).
-define(pushInt_6,162).
-define(pushInt_7,163).
-define(pushInt_8,164).
-define(pushInt_9,165).
-define(pushInt_10,166).
-define(pushInt_11,167).
-define(pushInt_12,168).
-define(pushInt_13,169).
-define(pushInt_14,170).
-define(pushInt_15,171).
-define(pushInt1,172).
-define(type,173).
-define(pushFloat,174).
-define(nodebug_info,175).
-define(list_length,176).
-define(getAtom,177).
-define(try_me_else_fail,178).
-define(commit,179).
-define(ret,180).
-define(getNil,181).
-define(pushNil,182).
-define(pop,183).
-define(mkList,184).
-define(unpkList,185).
-define(send,186).
-define(self,187).
-define(pushStr,188).
-define(pushAtom,189).
-define(getStr,190).
-define(call_remote,191).
-define(head,192).
-define(enter_remote,193).
-define(dup,194).
-define(popCommit,195).
-define(failIf,196).
-define(failCase,197).
-define(tail,198).
-define(popCatch,199).
-define(setTimeout,200).
-define(wait,201).
-define(gotoix,202).
-define(popCommitJoin,203).
-define(save,204).
-define(arith_plus,205).
-define(arith_minus,206).
-define(arith_times,207).
-define(arith_div,208).
-define(arith_intdiv,209).
-define(arith_band,210).
-define(arith_bor,211).
-define(arith_bxor,212).
-define(arith_bnot,213).
-define(arith_bsl,214).
-define(arith_bsr,215).
-define(arith_rem,216).
-define(comp_gt,217).
-define(comp_lt,218).
-define(comp_geq,219).
-define(comp_leq,220).
-define(pushIntN,221).
-define(getIntN,222).
-define(exact_eqeq,223).
-define(exact_neq,224).
-define(test_integer,225).
-define(test_float,226).
-define(test_number,227).
-define(test_atom,228).
-define(test_constant,229).
-define(test_list,230).
-define(test_tuple,231).
-define(test_pid,232).
-define(test_reference,233).
-define(test_port,234).
-define(stack_need,235).
-define(heap_need,236).
-define(comp_eqeq,237).
-define(comp_neq,238).
-define(debug_info,239).
%%                          FREE  -define(bump,240).
-define(test_binary,241).
-define(try_me_else,242).
-define(goto,243).
-define(call_local,244).
-define(enter_local,245).
-define(pushCatch,246).
-define(wait1,247).
-define(pushInt4,248).
-define(getInt4,249).
-define(arith_neg,250).
-define(apply_enter,251).
-define(apply_call,252).
-define(bif_enter,253).
-define(bif_call,254).
-define(die,255).
%%
%% Definitions for the type opcode
%%
-define(integer_bit,1).
-define(float_bit, 2).
-define(atom_bit,3).
-define(reference_bit, 4).
-define(port_bit,5).
-define(pid_bit,6).
-define(tuple_bit,7).
-define(nil_bit,8).
-define(list_bit,9).
-define(binary_bit,10).

